Package org.python.core.packagecache

# Class CachedJarsPackageManager.JarXEntry

java.lang.Object
org.python.core.packagecache.CachedJarsPackageManager.JarXEntry

Enclosing class:
  `CachedJarsPackageManager`

public static class CachedJarsPackageManager.JarXEntry extends Object
Class of object used to represent a cache file and last modification time, internally and to `CachedJarsPackageManager.outCreateCacheFile(org.python.core.packagecache.CachedJarsPackageManager.JarXEntry, boolean)`. When caching, a `JarXEntry` is created for each JAR processed for classes, and corresponds to a file in the package cache directory. The name is based on the name of the JAR.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`cachefile`
Specifies the actual cache file once that is created or opened.
`long`
`mtime`

## Constructor Summary

Constructors
Constructor
Description
`JarXEntry(String cachefile)`
`JarXEntry(String cachefile, long mtime)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cachefile

public String cachefile
Specifies the actual cache file once that is created or opened.

### mtime

public long mtime

## Constructor Details

### JarXEntry

public JarXEntry(String cachefile)

### JarXEntry

public JarXEntry(String cachefile, long mtime)